blk_start_queueing
Prev | Chapter 19. Block Devices | Next

## Name

blk_start_queueing — initiate dispatch of requests to device

## Synopsis

`void blk_start_queueing (` | struct request_queue * | q`)`;

## Arguments

`q`

  request queue to kick into gear

## Description

This is basically a helper to remove the need to know whether a queue is plugged or not if someone just wants to initiate dispatch of requests for this queue.

The queue lock must be held with interrupts disabled.

Prev | Up | Next
blk_init_queue | Home | blk_requeue_request